program AcronymDecoder;

{$mode delphi}{$H+}

uses
  {$IFDEF UNIX}
  cthreads, clocale,
  {$ENDIF}
  Interfaces, // this includes the LCL widgetset
  Forms, UAcronym, Common, SysUtils, TemplateGenerics, UFormImport,
  CoolTranslator, UFormCategorySelect, UFormMain, UFormAcronym, UFormSettings,
  UFormCategories, UFormAcronyms, UFormImportSource, UFormImportSources,
  UFormAbout, UFormImportFormat, UFormImportFormats, UFormImportPattern, UCore,
  UFormExport
  { you can add units after this };

{$R *.res}

{$IFDEF DEBUG}
const
  HeapTraceLog = 'heaptrclog.trc';
{$ENDIF}


begin
  {$IFDEF DEBUG}
  // Heap trace
  DeleteFile(ExtractFilePath(ParamStr(0)) + HeapTraceLog);
  SetHeapTraceOutput(ExtractFilePath(ParamStr(0)) + HeapTraceLog);
  {$ENDIF}

  Application.Title := 'Acronym Decoder';
  RequireDerivedFormResource := True;
  Application.Initialize;
  Application.CreateForm(TCore, Core);
  Application.CreateForm(TFormMain, FormMain);
  Application.Run;
end.

